Popup Menu

Welcome!

Welcome to AbsoluteTelnet, the quickest, easiest, and most complete Telnet client for Windows 95/98/NT. For the most up-to-date information on the latest version of AbsoluteTelnet, visit our AbsoluteTelnet website

. When you choose AbsoluteTelnet, you're making an investment in quality software. AbsoluteTelnet has been designed with usability as its primary focus. Try it free for 30 days and you'll be a believer, too! With uncompromising attention to detail and accuracy, AbsoluteTelnet has a very comfortable and familiar feel the first time you use it. As a 32-bit multi-threaded app, it is as fast as lightning and responds quickly to user input even when heavily loaded. Before you continue, browse through a more detailed list of the features of AbsoluteTelnet. When you decide to buy, check out how to register.


Getting Started

Welcome!!! AbsoluteTelnet has been designed around the document-centric application paradigm to provide the most intuitive interface to the user.

Implicit in that design is a high degree of integration with the Windows Shell. AbsoluteTelnet operates around the concept of the " AbsoluteTelnet Connection File" which is simply a file with the extension '.tnt' that is created, manipulated, and used by AbsoluteTelnet to hold information about each host that you telnet to.

To create a AbsoluteTelnet Connection File, right click in any Windows folder, desktop, etc... to bring up the context menu. Choose New-> AbsoluteTelnet Connection to create the new AbsoluteTelnet Connection File. You will be prompted for the host name of the new connection.

To modify the properties (color, font, hostname, etc..) of the AbsoluteTelnet Connection, right click on the connection file and choose properties from the context menu. This will bring up the property sheets that allow you to change the information contained in the AbsoluteTelnet Connection File. These property sheets are also available from within AbsoluteTelnet when a Connection File is open.

AbsoluteTelnet Connection Files can be created anywhere to tailor to the way you work. Place them in the Start Menu, Task Bar, on the Desktop, or in any folder.


AbsoluteTelnet Connection Files

The AbsoluteTelnet Connection file (.tnt extension) holds the user's selections for each named connection. Connection files hold information such as the foreground/background colors and connection settings for the connection. The user can manipulate the connection files through the Options->Properties menu item and can load and save through file/load file/save commands. Connection files can also be manipulated through the Windows Explorer shell by right-clicking on the connection file and choosing 'properties' from the context menu.


Registration

This is an abbreviated description of the terms of the licenses agreement, for more detailed legal information, view the entire license agreement.

You are granted a license to try AbsoluteTelnet FREE for as long as you want!! During your trial period, ads will be displayed. If, at any time, you wish to make the ads go away, all you have to do is pay a $29.95 registration fee.

To register, select the Options->Register menu item. You will be taken to the Celestial Software secure web site where you will be able to purchase the software instantly online!!! Nothing could be easier!

If you have any questions of comments about the registration process, the trial period, or the display of advertising within AbsoluteTelnet, you may contact Brian Pence at:

bpence@celestialsoftware.net


Licensing

---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE
THIS SOFTWARE APPLICATION IS ADVERTISING SUPPORTED AND IS PART OF THE RADIATE NETWORK. IT WILL USE YOUR INTERNET CONNECTION TO DELIVER ADVERTISMENTS AND OTHER DATA. PLEASE READ THE LICENSE AGREEMENT BELOW FOR MORE INFORMATION.
---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE---NOTE

END USER LICENSE AGREEMENT FROM CELESTIAL SOFTWARE
Carefully read the following End User License Agreement ("EULA"). The EULA is a legal agreement between you the user and Celestial Software for the use of AbsoluteTelnet ("the "Software"). This EULA contains the conditions under which you may use the software as well as warranty and liability disclaimers. By installing, copying or using the Software, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install, copy, or use the Software. This Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. This Software is licensed, not sold.

GRANT AND TERM OF LICENSE

Subject to your compliance with the terms of this Agreement, Celestial Software grants to you the right to install and use AbsoluteTelnet for an unlimited period of time, in accordance with section 2 (EVALUATION AND REGISTRATION). The Software may be installed on as many computers as you like. The Software may be freely redistributed with all supplied files in its original executable archive format, provided that you verify you are distributing the free, non-registered version.

EVALUATION AND REGISTRATION

Because this software is supported by advertising, it *IS* free software. You are hereby licensed to use this software for an unlimited period of time, provided that you do not attempt to disable the advertising components. If you want the advertisements to go away, a registration fee of $29.95 is required. Registration should be performed online by choosing Options->Register from within the application. Payment may be made using Visa, Mastercard, or American Express.

NO WARRANTY

ANY USE OF THE SOFTWARE PRODUCT IS AT YOUR OWN RISK. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, CELESTIAL SOFTWARE DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL CELESTIAL SOFTWARE BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF CELESTIAL SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

MISCELLANEOUS

This EULA is governed by the laws of the State of Tennessee, U.S.A. Should you have any questions concerning this EULA, or if you desire to Celestial Software for any reason, please write: Celestial Software, 3917 Lauren Beth Cove, Bartlett TN. 38135. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US THAT SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

End-User License Agreement for Radiate Technology

Introduction
This Product is advertiser-supported software and incorporates advertisement serving and other technology by Radiate, Inc. Advertiser-supported software creates revenue for software development through the end users’ interaction with dynamically delivered advertising and the collection and use of user profile information, enabling software developers to create revenue and allowing end users to download, install and enjoy software products typically without having to pay fees, and providing advertisers and end users the convenience of customized, rather than blanket or repetitive, advertising.

NOTICE: Licensed Software incorporated into this Product collects personal information. To learn more about how this information is collected and used, read the following information, and see Radiate, Inc.’s Privacy Policy Statement, which is hereby incorporated by reference, and may be accessed via the World Wide Web at http://www.radiate.com/privacy.html, or by telephoning (800)-695-5369.

By clicking the "ACCEPT" or "YES" or any other button referenced to this License Agreement that suggests you agree and/or by installing, using, or copying this Product, You are becoming a party to, indicating Your consent to, and agreeing to be bound by the terms of this License Agreement, without modification. If You do not understand and accept all of the following terms and conditions, including those terms and conditions regarding the collection of user profile information, You click the "DO NOT ACCEPT" or "NO" or any other other button referenced to this License Agreement that suggests you disagree, and You must not install, use, or copy this Product.

1. Definitions.

(a) "Agreement" and/or "License Agreement" shall mean this License Agreement and any and all documents incorporated by reference, including but not limited to Radiate, Inc.’s Privacy Policy Statement; (b) "You," and/or "Your" shall mean the individual or a legal entity exercising rights under, and complying with all of the terms of, this Agreement; (c) "Licensed Software" shall mean Radiate, Inc.’s technology, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation; (d) "Product" shall mean the combination of the Licensed Software and the underlying software product in which the Licensed Software is incorporated; (e) "Demographic Information" shall mean any information that is not Personally Identifiable Information, and shall include, but is not limited to Your gender, age, zip code, browser type, operating system, and Internet protocol (IP) address and (f) "Personally Identifiable Information" shall mean any information that identifies You to others, and shall include, but shall not be limited to Your first and last name, home or other physical address including street name and name of city or town, e-mail address, and telephone number and (g) "Radiate, In." shall mean Radiate, Inc., and its licensees and agents, and (h) "live update" shall mean the automatic updating of Radiate technology or the technology of its affiliate partners on your computer.

2. License Grant.

Subject to the terms of this Agreement, Radiate, Inc. hereby grants You a non-exclusive and non-transferable license to reproduce and use for personal or internal purposes the Licensed Software, provided that any and all copies made must contain all of the original and unmodified proprietary notices, including, but not limited to, this License Agreement.

3. Restrictions.

You acknowledge and agree that You shall not (a) modify or create any derivative works of the Licensed Software or documentation; (b) attempt to disable the Licensed Software by any means or in any manner; (c) attempt to decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code for the Licensed Software (except to the extent applicable laws specifically prohibit such restriction); (d) redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer or disclose the Licensed Software to any third-party; or (e) remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in the Licensed Software or the Product.

4. Proprietary Rights.

You acknowledge and agree that Radiate, Inc. owns all title, ownership rights, and intellectual property rights in the Licensed Software. You agree that you shall take no action that might jeopardize, limit, or interfere in any way with Radiate, Inc.’s ownership or other rights regarding the Licensed Software. You acknowledge that the Licensed Software is protected by copyright and other intellectual property laws, and by international treaties. You further acknowledge and agree that the remaining portions of the Product are the property of their respective owners and may also be protectable by applicable copyright, other intellectual property law, and international treaties.

5. Disclaimer of Warranty and Limitation of Liability.

THE LICENSED SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. RADIATE, INC. DOES NOT WARRANT THAT OPERATION OF THE LICENSED SOFTWARE WILL BE UNINTERRUPTED, ERROR FREE, OR VIRUS-FREE, OR THAT ANY DEFECT IN THE LICENSED SOFTWARE WILL BE CORRECTED. RADIATE, INC. EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE, AND NO USE OF THE LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, YOU AGREE THAT IN NO EVENT SHALL RADIATE, INC. BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, EVEN IF RADIATE, INC. HAS BEEN ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF THE LEGAL OR EQUITABLE THEORY (CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED. YOU ALSO AGREE THAT RADIATE, INC.’S ENTIRE LIABILITY TO YOU OR ANY THIRD PARTY FOR ANY CLAIM OR DEMAND ARISING FROM OR RELATED TO THIS AGREEMENT SHALL NOT EXCEED, IN THE AGGREGATE, THE SUM OF THE FEE YOU PAID FOR THE PRODUCT (IF ANY), WITH THE SOLE EXCEPTION OF DEATH OR PERSONAL INJURY CAUSED BY THE NEGLIGENCE OF RADIATE, INC., TO THE EXTENT APPLICABLE LAW PROHIBITS THE LIMITATION OF SUCH DAMAGES. YOU EXPRESSLY AGREE THAT RADIATE, INC. IS NOT RESPONSIBLE FOR ANY LIABILITY ARISING OUT OF THIRD-PARTY ADVERTISER CONTENT PROVIDED BY ITS LICENSEES, THAT MAY BE TRANSMITTED TO YOU THROUGH THE LICENSED SOFTWARE.

6. Legal Compliance.

You agree that You shall fully comply with all applicable laws, statutes, ordinances and regulations regarding Your use of the Licensed Software and the Product.

7. Indemnity.

You agree to indemnify and hold Radiate, Inc., its successors, assigns, subsidiaries, affiliates, officers, directors, agents, and employees harmless from any claim or demand, including reasonable attorneys’ fees, made by any third-party due to or arising out of your failure to comply with this Agreement or your violation of any law or the rights of any third-party.

8. Termination.

This Agreement shall be effective unless and until terminated. You acknowledge and agree that Radiate, Inc. may, without prejudice to any other rights under this Agreement or applicable law, terminate the license granted in this Agreement at any time without notice to You if You fail to comply with any of the terms and conditions of this Agreement. Upon termination of this Agreement, all rights granted to You in this Agreement shall immediately terminate.

9. Privacy Disclaimer and Disclosure Regarding User Profile Information.

YOU EXPRESSLY ACKNOWLEDGE AND AGREE THAT DEMOGRAPHIC AND PERSONALLY IDENTIFIABLE INFORMATION COLLECTED BY THE LICENSED SOFTWARE MAY BE USED BY RADIATE, INC., AND/OR THE MANUFACTURER OF THE PRODUCT, AS WELL AS SHARED, RENTED, LEASED, SOLD, OR OTHERWISE MADE AVAILABLE TO THIRD-PARTIES AT THE SOLE DISCRETION OF RADIATE, INC., IN ACCORDANCE WITH RADIATE, INC.’S PRIVACY POLICY STATEMENT. YOU ALSO ACKNOWLEDGE AND AGREE THAT THE LICENSED SOFTWARE MAY ALSO GENERATE POP-UP DIALOGUE BOXES REQUESTING YOU TO VOLUNTARILY PROVIDE CERTAIN PERSONALLY IDENTIFIABLE INFORMATION, AND REQUIRING YOU TO PROVIDE CERTAIN DEMOGRAPHIC INFORMATION DURING REGISTRATION OF THE PRODUCT, AND/OR FROM TIME TO TIME THEREAFTER, WHILE THE PRODUCT IS ACTIVE. YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE LICENSED SOFTWARE SHALL RESIDE ON YOUR LOCAL SYSTEM AND MAY OPERATE UNOBTRUSIVELY IN THE BACKGROUND, PERFORMING A LIVE UPDATE, DELIVERING ADDITIONAL REQUESTED SOFTWARE, COLLECTING AND TRANSMITTING INFORMATION RELATED TO THE DISPLAY AND TRACKING OF ADVERTISING AND ANY VOLUNTEERED DEMOGRAPHIC AND/OR PERSONALLY IDENTIFIABLE INFORMATION ABOUT YOU TO RADIATE, INC.’S SERVERS WHENEVER YOUR WEB BROWSER IS ACTIVE, WHETHER THE PRODUCT INCORPORATING THE LICENSED SOFTWARE IS ACTIVE OR NOT.

NOTICE: If, after installing, using, or copying the Product, You decide that You prefer to discontinue disclosing Your Personally Identifiable and/or Demographic Information, You may either: (a) register the Product and any and all other Products incorporating the Licensed Software, or (b) perform a complete uninstallation of the Product and any and all Products incorporating the Licensed Software. You may not, however, disable the Licensed Software and continue to use this or any Product that incorporates the Licensed Software.

10. Miscellaneous.

(a) This Agreement constitutes the entire agreement between the parties concerning the subject matter hereof; (b) This Agreement may be amended only by a writing signed by both parties; (c) This Agreement and any dispute arising out of it shall be governed by the laws of the State of California, USA; (d) Unless otherwise agreed in writing, all disputes relating to this Agreement (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration in Santa Clara County, California, under the auspices of JAMS/Endispute, with the losing party paying all costs of arbitration. Either party may seek any interim or preliminary relief from a court of competent jurisdiction in San Francisco, California necessary to protect the rights or property of that party pending the completion of arbitration; (e) This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods; (f) If any provision in this Agreement should be held illegal or unenforceable by a court having jurisdiction, such provision shall be modified to the extent necessary to render it enforceable without losing its intent or severed from this Agreement if no such modification is possible, and other provisions of this Agreement shall remain in full force and effect; (g) A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach thereof; (h) The provisions of this Agreement that require or contemplate performance after the expiration or termination of this Agreement shall be enforceable notwithstanding said expiration or termination; (i) You may not assign or otherwise transfer by operation of law or otherwise this Agreement or any rights or obligations herein except in the case of a merger or the sale of all or substantially all of Your assets to another entity; (j) This Agreement shall be binding upon and shall inure to the benefit of the parties, their successors, and assigns; (k) Neither party shall be in default or be liable for any delay, failure in performance (excepting the obligation to pay), or interruption of service resulting directly or indirectly from any cause beyond its reasonable control, and; (l) If any dispute arises under this Agreement, the prevailing party shall be reimbursed by the other party for any and all legal fees and costs associated therewith.

11. US Government Restricted Rights Legend.

The Licensed Software and any documentation provided is commercial in nature and has been developed exclusively at private expense. Use, duplication or disclosure by the United States Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software-Restricted Rights section at 48 CFR 52.227-19, and any other successor regulations, as applicable. Manufacturer is Radiate, Inc., current address to be found at http://www.radiate.com.

12. Acknowledgment of Agreement.

I am over 18 years of age. I have carefully read and understand this Agreement, Radiate, Inc.’s Privacy Policy Statement.

IF YOU ACCEPT the terms of this Agreement:

I acknowledge and understand that by ACCEPTING the terms of this Agreement, I am consenting to Radiate, Inc.’s use of my information as explained herein.

IF YOU DO NOT ACCEPT the terms of this Agreement.

I acknowledge and understand that by refusing to accept these terms, I have rejected this license agreement and therefore have no legal right to install, use, or copy this Product or the Licensed Software that it incorporates.


Features

This is a comprehensive list of all the feature elements of AbsoluteTelnet.

  • 32-bit multi-threaded
  • NT/98/95 compatible
  • Winsock 1.x and 2.x compatible
  • Network "Telnet" terminal capability
  • Telephony(TAPI) modem dialup terminal capability
  • SSH terminal capability
  • Direct COM port connections
  • XModem, YModem, and ZModem file transfer
  • Automic version update notification
  • Rock-solid VT100 emulation
  • Passthru Printing
  • Supports all VT screen attributes including bold, underline, and blinking text.
  • Windows size negotiation (Telnet and SSH only)
  • Terminal type negotiation (Telnet and SSH only)
  • Windows Explorer integration (property sheets, shell extensions, shell execution, shell new, context menus)
  • Large scrollback
  • Extensive scrollback text selection features
  • Keyboard command for *everything*
  • HTML Help help system and extensive context sensitive help
  • Context menu for access to more frequently used commands
  • Supports TrueType fonts at *any* size
  • Full control of foreground/background coloration
  • Windows style toolbar and status bar for easy access to commands and status information


Compatibility

AbsoluteTelnet will run under either Windows 95 or NT4.0. The VT100 emulation has been tested extensively against the following platforms (visit some of their websites below):
  • Sun Solaris
  • Linux
  • IBM AIX
  • HP-UX
  • Pyramid
  • AT&T
  • DEC
  • SGI
  • Sequent


Printing

AbsoluteTelnet provides two different methods of printing. To print, click the printer icon on the tool bar or go to file->print. Then either select "Screen" or "Selection". If "Screen" is chosen, then the application will print what appears in the terminal window. To print a specific selection of text, highlight the desired text (incorporating scrolling, if desired), go to the print window, and choose "Selection". The application also includes the Windows standard printer selection box.


Windows Integration

AbsoluteTelnet is well-integrated with Windows Explorer and the AbsoluteTelnet Internet website.

Explorer

Connection configurations can be modified by right-clicking on the connection file and selecting properties. Copying base connection files and modifying the copies is an easy and quick way to setup all of your connections.

The Internet

Not only is the AbsoluteTelnet helpfile integrated (through Internet Explorer), but the application is "update-supported" through access to the Celestial Software website. This program also performs its own version checking.


Keyboard Usage

Cursor Keys

Without keyboard modifiers, the cursor keys send the appropriate escape sequences as defined by the current emulation. With the Ctrl key held, the cursor keys perform the following actions:
  • Up-Arrow: move up in scrollback one line
  • PG-UP: move up in scrollback one page
  • Home: move to the top of the scrollback
  • Down-Arrow: move down in scrollback one line
  • PG-DN: move down in scrollback one page
  • End: move to the bottom of the scrollback

Function Keys

For the VT100 emulation, the first four function keys send the standard vt100 function key escape sequences.

Copy/Paste Keys

Because the host may count on being able to receive Ctrl-C and Ctrl-V as keypresses, AbsoluteTelnet uses Ctrl-Ins as Copy and Shift-Ins as Paste.


Mouse Usage

Selecting

  • Double-clicking selects an entire word.
  • Triple-clicking selects an entire line.
  • Quad-clicking selects an entire screen.
  • To select a portion of the screen to print or copy, hold down the primary mouse button in the AbsoluteTelnet window and drag the mouse.
  • If you drag the mouse out of the window, the screen will start to scroll.
  • The farther you drag the mouse off the screen, the faster the screen will scroll.
  • To continue the selection, hold down the Ctrl key and continue dragging.

Printing

To print the current selection, choose the File/Print command or press the print button on the toolbar.

Copying

To copy the current selection, choose the Edit/Copy command of press the copy button on the tollbar. Copying can also be done by pressing the Ctrl-Ins keyboard combination.


This feature is used by right-clicking in the terminal window. It brings up 4 options:
  • "Copy" (CTRL-INS) - This command copies the selected text from the terminal window into the clipboard.
  • "Paste" (SHIFT-INS) - This command pastes the text from the clipboard to the terminal window.
  • "Find" - This enables the user to find text strings within the terminal window.
  • "Find Next" - This finds the next occurrence of the string that was specified with the previous Find command.


Scrollback

AbsoluteTelnet has strong scrollback capability. You can access history as far back as you like, much further than traditional telnet applications. The scroll bar on the right side of the terminal window is enabled by default. It can be toggled in the appearance options menu.


Appearance Options

This screen allows you to adjust various appearance settings for the AbsoluteTelnet application as well as individual connection files, as follows:

Color

This section allows you to modify the color settings within the application. The "Foreground" and "Background" buttons bring up a standard Windows color paletes. These choices are saved in the connection configuration file. If you press the "Save Default" button, the default colors for the entire application are set from the color scheme you have chosen for this particular connection file.

When the application is first run, "Use Windows Defaults" is the only option enabled. However, after editing foreground and/or background settings, you can select from any of the following:

  • "Use Connection Colors" - This option enables the individual color scheme the you have setup for the connection.
  • "Use Color Cycling" - This option causes the application to cycle through your defined color schemes, every time you load the connection.
  • "Use Application Defaults" - This option loads the application default colors, bypassing the connection's individual color settings. This option is only enabled after pressing the "Save Default" button.
  • "Use Windows Defaults" - By selecting this, the application uses the current Windows color settings.

Display Options

  • "Tool Bar" - Enables some convenient buttons on the tool bar above the emulation window.
  • "Status Bar" - Enables the application to display connection statistics below the emulation window.
  • "Scroll Bar" - If checked, the scroll bar on the right side of this main window appears and is enabled. This allows you to scroll and review historical commands, etc.

Font

By clicking on the "Font" button, you can set the default font type and size, displayed in the application.


VT Options

This screen allows you to adjust various emulation settings for the AbsoluteTelnet application, as follows:

Backspace Mapping

This option maps either the backspace (BS) key or the Delete (DEL) key for backspacing on the terminal.

Screen Size

This option allows you to configure specific row and column size settings. This setting automatically updates, when you stretch or shrink the terminal window with the mouse.

Mousing

The mousing option gives you the ability to specify how the application reacts when it is in the focus of the mouse. If "Windows Mousing" is checked, then the user must click on the application window to to gain focus. However, if "X Mousing" is checked, the application automatically recieves focus when the mouse is over it. It will then accept keyboard input.


Proxy Options

This screen allows you to adjust the proxy settings for the current connection file. If you have a proxy server available, make sure it supports Socks 4 proxy. Check with your system administrators to be sure. Enter the hostname or IP address of the proxy server in this dialog.

*WARNING* There is a limitation in the Socks 4 protocol that requires you to know the IP address of the host you are connecting to (in the Connection tab) or your computer must be able to resolve the ip address from the hostname without the proxy. You can try pinging the hostname from the command line to see if the address is resolved accurately. If it is, you can use the hosname in the Connection tab. If it is not, you *must* use the IP address. Socks 5 (not yet implemented) resolves the problem by allowing the proxy server to resolve the hostname to an IP address itself.

Socks 4 Proxy

  • "Use proxy" - When checked, the proxy setup boxes are enabled.
  • "Host" - Enter the proxy IP address here.
  • "Port" - Enters the proxy port here.


Global Options

This properties tab allows you to configure some aspects of the application. These settings will be reflected throughout all of your connection files.

Version Checking

This program automatically goes out to the Celestial Software website to detect whether a newer version has been released. The "Ignore Version XXX and below" checkbox forces the application to ignore checking for version XXX and below, when it performs its version checking task.

Behavior

This section allows you to adjust various application defaults. Upon first use of the application, you will be prompted to set some of these defaults. These options do not have to be configured permanently. If the "Prompt" option is checked, the application will ask you configuration questions, upon opening every connection file.

  • "Close application on disconnect" - This checkbox forces the application to close upon disconnect. If enabled, it will close whether the user closes the connection or whether the remote host closes it.
  • "Allow close while connected" - This option allows the user to close the application, while still connected to the remote host.
  • "Connect on open" - When this option is checked, the application automatically connects upon openning any connection file.
  • "Save on exit" - If this checkbox is enabled, the application automatically saves the connection file's current settings upon exiting.
  • "Make this program the default telnet" - This modifies Windows settings to allow this program to be the default Windows program for telnet connections.


Properties

Connection Options

This program is versitile in its connection options. This screen allows the user to alter the various connectivity settings for the current connection file as follows:

Telnet Settings

  • "Hostname" - This is the IP address or hostname of the connection.
  • "Port" - This is the port specified for connection to the server. For telnet connections, the default falue for this field is 23.

Modem Settings

This program supports Microsoft Telephony.

  • "Country" - The country the application is dialing.
  • "Area" - This is the area code of the number the application is dialing.
  • "Phone" - The telephone number the application is dialing.

COM port Settings

This program supports direct COM port connections.

SSH Settings

This program supports SSH settings.


Options Menu

Properties
Appearance
Connection
Proxy
VT Options
Application

Register


Transfer Options

This screen allows you to change settings for file transfer options. This program supports Xmodem, Ymodem, and ZModem file transfers. To auto-initiate a recieve on the host end, you can left-click & drag a file into the terminal window and the appropriate "start text" will be sent to the receiver side to begin the transfer using the default transfer method. To choose which transfer method to use, use right-click & drag to drag the file into the terminal window. The default transfer method will be set to the last transfer method used.


Version History


VTTest Score on the web

VTTEST Score Sheet

VTTEST VT100/VT102 Compatibility Test Score Sheet
( AbsoluteTelnet 1.50 and above)

Program and version: AbsoluteTelnet 1.5 Date: ____10 Jan 98___
Score: ____98____ + Extra credit: ____5____ = Final score: ____103___
Check box if test passed. Score 1 point per check mark.
Perfect score = 100 points. Extra credit at end.

1. Test of cursor movements

[1] 1. Text inside frame of E's inside frame of *'s and +'s, 80 columns
[1] 2. Text inside frame of E's inside frame of *'s and +'s, 132 columns
[1] 3. Cursor-control chars inside ESC sequences
[1] 4. Leading 0's in ESC sequences

2. Test of screen features

[1] 5. Three identical lines of *'s (test of wrap mode)
[1] 6. Test of tab setting/resetting
[1] 7. 132-column mode, light background
[1] 8. 80-column mode, light background
[1] 9. 132-column mode, dark background
[1] 10. 80-column mode, dark background
[1] 11. Soft scroll down
[1] 12. Soft scroll up / down
[1] 13. Jump scroll down
[1] 14. Jump scroll up / down
[1] 15. Origin mode test (2 parts)

Graphic Rendition test pattern, dark background

[1] 16. Normal ("vanilla")
[1] 17. Normal underlined distinct from normal
[1] 18. Normal blink distinct from all above
[1] 19. Normal underline blink distinct from all above
[1] 20. Normal reverse ("negative") distinct from all above
[1] 21. Normal underline reverse distinct from all above
[1] 22. Normal blink reverse distinct from all above
[1] 23. Normal underline blink reverse distinct from all above
[1] 24. Bold distinct from all above
[1] 25. Bold underlined distinct from all above
[1] 26. Bold blink distinct from all above
[1] 27. Bold underline blink distinct from all above
[1] 28. Bold reverse ("negative") distinct from all above
[1] 29. Bold underline reverse distinct from all above
[1] 30. Bold blink reverse distinct from all above
[1] 31. Bold underline blink reverse distinct from all above

Graphic Rendition test pattern, light background

[1] 32. Normal ("vanilla")
[1] 33. Normal underlined distinct from normal
[1] 34. Normal blink distinct from all above
[1] 35. Normal underline blink distinct from all above
[1] 36. Normal reverse ("negative") distinct from all above
[1] 37. Normal underline reverse distinct from all above
[1] 38. Normal blink reverse distinct from all above
[1] 39. Normal underline blink reverse distinct from all above
[1] 40. Bold distinct from all above
[1] 41. Bold underlined distinct from all above
[1] 42. Bold blink distinct from all above
[1] 43. Bold underline blink distinct from all above
[1] 44. Bold reverse ("negative") distinct from all above
[1] 45. Bold underline reverse distinct from all above
[1] 46. Bold blink reverse distinct from all above
[1] 47. Bold underline blink reverse distinct from all above

Save/Restore Cursor

[1] 48. AAAA's correctly placed
[1] 49. Lines correctly rendered (middle of character cell)
[1] 50. Diamonds correctly rendered

3. Test of character sets

[1] 51. UK/National shows Pound Sterling sign in 3rd position
[1] 52. US ASCII shows number sign in 3rd position
[1] 53. SO/SI works (right columns identical with left columns)
[1] 54. True special graphics & line drawing chars, not simulated by ASCII

4. Test of double-sized chars

Test 1 in 80-column mode:

[1] 55. Left margin correct
[1] 56. Width correct

Test 2 in 80-column mode:

[1] 57. Left margin correct
[1] 58. Width correct

Test 1 in 132-column mode:

[1] 59. Left margin correct
[1] 60. Width correct

Test 2 in 132-column mode:

[1] 61. Left margin correct
[1] 62. Width correct

[1] 63. "The man programmer strikes again" test pattern
[1] 64. "Exactly half the box should remain"

5. Test of keyboard

[0] 65. LEDs.
[0] 66. Autorepeat
[1] 67. "Press each key" (ability to send each ASCII graphic char)
[1] 68. Arrow keys (ANSI/Cursor key mode reset)
[1] 69. Arrow keys (ANSI/Cursor key mode set)
[1] 70. Arrow keys VT52 mode
[1] 71. PF keys numeric mode
[1] 72. PF keys application mode
[1] 73. PF keys VT52 numeric mode
[1] 74. PF keys VT52 application mode
[1] 75. Send answerback message from keyboard
[1] 76. Ability to send every control character

6. Test of Terminal Reports

[1] 77. Respond to ENQ with answerback
[1] 78. Newline mode set
[1] 79. Newline mode reset
[1] 80. Device status report 5
[1] 81. Device status report 6
[1] 82. Device attributes report
[1] 83. Request terminal parameters 0
[1] 84. Request terminal parameters 1

7. Test of VT52 submode

[1] 85. Centered rectangle
[1] 86. Normal character set
[1] 87. Graphics character set
[1] 88. Identify query
8. VT102 Features

[1] 89. Insert/delete line, 80 columns
[1] 90. Insert (character) mode, 80 columns
[1] 91. Delete character, 80 columns
[1] 92. Right column staggered by 1 (normal chars), 80 columns
[1] 93. Right column staggered by 1 (double-wide chars), 80 columns
[1] 94. ANSI insert character, 80 columns
[1] 95. Insert/delete line, 132 columns
[1] 96. Insert (character) mode, 132 columns
[1] 97. Delete character, 132 columns
[1] 98. Right column staggered by 1 (normal chars), 132 columns
[1] 99. Right column staggered by 1 (double-wide chars), 132 columns
[1] 100. ANSI insert character, 132 columns

9. Extra credit

[1] 101. True soft (smooth) scroll
[1] 102. True underline
[1] 103. True blink
[1] 104. True double-high/wide lines, not simulated
[1] 105. Reset terminal (*)
[0] 106. Interpret controls (debug mode) (*)
[0] 107. Send BREAK (250 msec) (*)
[0] 108. Send Long BREAK (1.5 sec) (*)
[0] 109. Host-controlled transparent / controller print (*)
[0] 110. Host-controlled autoprint (*)

(*) Features of VT100 not tested by vttest.